Home//
REST API Reference
/- List attached companies for contact
Create or Update a company
Retrieve companies
Retrieve a company by ID
Update a company
Delete a company
List attached contacts
List attached segments for companies
List all companies
Scroll over all companies
Attach a Contact to a Company
Detach a contact from a company
Company
List attached companies f...
You can fetch a list of companies that are associated to a contact.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
- The production API serverhttps://api.intercom.io/contacts/{id}/companies
- The european API serverhttps://api.eu.intercom.io/contacts/{id}/companies
- The australian API serverhttps://api.au.intercom.io/contacts/{id}/companies
curl -i -X GET \
https://api.intercom.io/contacts/63a07ddf05a32042dffac965/companies \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.9'successful
companiesArray of objects(Company)
An array containing Company Objects
pagesobject(Pagination Object)
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
Response
{ "type": "list", "data": [ { … } ], "pages": { "type": "pages", "next": null, "page": 1, "per_page": 50, "total_pages": 1 }, "total_count": 1 }